(() => {
  // src/noise.processor.ts
  var WhiteNoiseProcessor = class extends AudioWorkletProcessor {
    constructor(_options) {
      super();
    }
    process(inputs, outputs, parameters) {
      const output = outputs[0];
      output.forEach((channel) => {
        for (let i = 0; i < channel.length; i++) {
          channel[i] = Math.random() * 2 - 1;
        }
      });
      return true;
    }
  };
  registerProcessor("white-noise-processor", WhiteNoiseProcessor);
})();
//# sourceMappingURL=noise.processor.js.map
