let timerID: number;
// milliseconds
let interval = 10;

self.onmessage = function (e) {
  if (e.data === "start") {
    timerID = setInterval(() => {
      postMessage("tick");
    }, interval) as any as number;
  }
  else if (e.data.interval) {
    interval = e.data.interval;
    if (timerID) {
      clearInterval(timerID);
      timerID = setInterval(() => {
        postMessage("tick");
      }, interval) as any as number;
    }
  }
  else if (e.data === "stop") {
    clearInterval(timerID);
  }
};

