import { GeneralMIDIPercussion, GeneralMidiInstruments, Patch } from "./types"

import DefaultPatch from './andy-patch.json';
import DefaultPercus from './andy-percus.json';

export type PatchSet = Map<GeneralMidiInstruments | GeneralMIDIPercussion, Patch>;

export const AndyPatch: PatchSet = new Map<GeneralMidiInstruments, Patch>(DefaultPatch as []);
export const AndyPercussionPatch: PatchSet = new Map<GeneralMidiInstruments, Patch>(DefaultPercus as []);
