type AudioChannel = Float32Array;
type AudioInputs = Array<AudioChannel>;
type AudioOutputs = Array<AudioChannel>
type AudioParameters = Record<string, Float32Array>;

class WhiteNoiseProcessor extends AudioWorkletProcessor {

  constructor(_options: any) {
    super();
  }

  process(inputs: Array<AudioInputs>, outputs: Array<AudioOutputs>, parameters: AudioParameters) {
    const output = outputs[0];
    output.forEach(channel => {
      for (let i = 0; i < channel.length; i++) {
        channel[i] = Math.random() * 2 - 1
      }
    });
    // The the browser handle destruction
    // Chrome currently requires true :(
    return true;
  }
}

// registerProcessor('white-noise-processor', (options: any) => new WhiteNoiseProcessor(options));
// @ts-ignore
registerProcessor('white-noise-processor', WhiteNoiseProcessor);
